// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AO64C/16AO64C_Linux_1.x.x.x.GSC_DN/api/write.c $
// $Rev: 44876 $
// $Date: 2019-05-13 14:57:19 -0500 (Mon, 13 May 2019) $

// 16AO64C: API Library: source file

#include "main.h"



//*****************************************************************************
// Return Values:
//	>=0	= success, the number of bytes transferred
//	<0  = failure, value is -errno or -GetLastError (Windows only)
int ao64c_write(int fd, const void* src, size_t bytes)
{
	int	ret;

	if (bytes > GSC_IO_SIZE_QTY_MASK)
		bytes	= GSC_IO_SIZE_QTY_MASK & ~0x3;

	bytes	|= STREAM_ID_TX;
	ret		= gsc_api_write(fd, src, bytes);
	return(ret);
}


