// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AO64C/16AO64C_Linux_1.x.x.x.GSC_DN/include/16ao64c_dsl.h $
// $Rev: 51087 $
// $Date: 2022-05-31 10:44:23 -0500 (Tue, 31 May 2022) $

// 16AO64C: Document Source Library: header file

#ifndef	__16AO64C_DSL_H__
#define	__16AO64C_DSL_H__

#include <stdlib.h>

#include "16ao64c_api.h"



// prototypes *****************************************************************

int	ao64c_close_dsl	(int fd);
int	ao64c_init_dsl	(void);
int	ao64c_ioctl_dsl	(int fd, int request, void *arg);
int	ao64c_open_dsl	(int device, int share, int* fd);
int ao64c_read_dsl	(int fd, void* dst, size_t bytes, size_t* qty);
int	ao64c_write_dsl	(int fd, const void* src, size_t bytes, size_t* qty);



#endif
