// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AO64C/16AO64C_Linux_1.x.x.x.GSC_DN/samples/dcout/main.h $
// $Rev: 53041 $
// $Date: 2023-05-18 15:59:52 -0500 (Thu, 18 May 2023) $

// 16AO64C: Sample Application: header file

#ifndef	__MAIN_H__
#define	__MAIN_H__

#include "16ao64c_main.h"



// macros *********************************************************************

#define	SIZEOF_ARRAY(a)			(sizeof((a)) / sizeof((a)[0]))



// data types *****************************************************************

typedef struct
{
	// Application Settings

	s32	continuous;		// > 0 = ignore errors, < 0 = stop on errors
	s32	index;			// device index
	s32	minute_limit;	// for continuous testing
	int	qty;			// Number of devices detected.
	s32	test_limit;		// for continuous testing

	int	fd;				// File descriptor for device to access.

	// Device Settings

	s32	range;			// The desired voltage Range.
} args_t;



// prototypes *****************************************************************

int	perform_tests(const args_t* args);



#endif
